package dev.fitko.fitconnect.api.config;

final class ResourcePaths {

    private ResourcePaths() {
    }

    static final String AUTH_TOKEN_PATH = "/token";

    static final String DESTINATIONS_PATH = "/v1/destinations/{destinationId}";
    static final String DESTINATIONS_KEY_PATH = "/v1/destinations/{destinationId}/keys/{kid}";

    static final String EVENTS_PATH = "/v1/cases/{caseId}/events";

    static final String SUBMISSION_PATH = "/v1/submissions/{submissionId}";
    static final String SUBMISSIONS_PATH = "/v1/submissions";
    static final String SUBMISSION_ATTACHMENT_PATH = "/v1/submissions/{submissionId}/attachments/{attachmentId}";

    static final String ROUTING_AREA_PATH = "/v1/areas";
    static final String ROUTING_ROUTE_PATH = "/v1/routes";

    static final String WELL_KNOWN_KEYS_PATH = "/.well-known/jwks.json";
}

