package dev.fitko.fitconnect.api.domain.model.event;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;
import lombok.Builder;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.UUID;

@Data
@Builder
public class EventLogEntry {

  private Event event;
  private String issuer;

  private UUID eventId;
  private UUID caseId;
  private UUID submissionId;

  private Date issueTime;
  private List<Problem> problems;

}

