package dev.fitko.fitconnect.api.domain.model.event;

import lombok.Getter;

@Getter
public enum EventName {

    ACCEPT_SUBMISSION("accept-submission"),
    REJECT_SUBMISSION("reject-submission"),
    CREATE_SUBMISSION("create-submission"),
    SUBMIT_SUBMISSION("submit-submission"),
    FORWARD_SUBMISSION("forward-submission"),
    NOTIFY_SUBMISSION("notify-submission");

    private final String name;

    EventName(final String name) {
        this.name = name;
    }
}
