package dev.fitko.fitconnect.api.domain.model.event.problems.attachment;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class AttachmentEncryptionIssue extends Problem {

    private static final String type = SCHEMA_URL + "encryption-issue";
    private static final String title = "Entschlüsselungs-Fehler";
    private static final String detail = "Die Anlage %s konnte nicht entschlüsselt werden.";
    private static final String instance = "attachment:%s";

    public AttachmentEncryptionIssue(final String attachmentId) {
        super(type, title, format(detail, attachmentId), format(instance, attachmentId));
    }
}
