package dev.fitko.fitconnect.api.domain.model.event.problems.attachment;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class AttachmentHashMismatch extends Problem {

    private static final String type = SCHEMA_URL + "hash-mismatch";
    private static final String title = "Prüfsumme stimmt nicht";
    private static final String detail = "Der Hash der Anlage %s stimmt nicht.";
    private static final String instance = "attachment:%s";

    public AttachmentHashMismatch(final String attachmentId) {
        super(type, title, format(detail, attachmentId), format(instance, attachmentId));
    }
}
