package dev.fitko.fitconnect.api.domain.model.event.problems.attachment;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class InvalidAttachmentContent extends Problem {

    private static final String type = SCHEMA_URL + "invalid-content";
    private static final String title = "Unzulässiger Inhalt";
    private static final String detail = "Der Inhalt der Anlage %s ist nicht zulässig.";
    private static final String instance = "attachment:%s";

    public InvalidAttachmentContent(final String attachmentId) {
        super(type, title, format(detail, attachmentId), format(instance, attachmentId));
    }
}
