package dev.fitko.fitconnect.api.domain.model.event.problems.attachment;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class MissingAttachment extends Problem {
    private static final String type = SCHEMA_URL + "missing-attachment";
    private static final String title =  "Anlage fehlt";
    private static final String detail = "Die Anlage %s konnte nicht geladen werden.";
    private static final String instance = "attachment:%s";

    public MissingAttachment(final String attachmentId){
        super(type, title, format(detail, attachmentId), format(instance, attachmentId));
    }
}
