package dev.fitko.fitconnect.api.domain.model.event.problems.data;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class DataHashMismatch extends Problem {

    private static final String type = SCHEMA_URL + "hash-mismatch";
    private static final String title = "Prüfsumme stimmt nicht";
    private static final String detail = "Die Prüfsumme des Fachdatensatzes stimmt nicht.";
    private static final String instance = "data";

    public DataHashMismatch() {
        super(type, title, detail, instance);
    }
}
