package dev.fitko.fitconnect.api.domain.model.event.problems.data;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class DataSchemaViolation extends Problem {

    private static final String type = SCHEMA_URL + "schema-violation";
    private static final String title = "Schema-Fehler";
    private static final String detail = "Der Fachdatensatz ist nicht schema-valide.";
    private static final String instance = "data";

    public DataSchemaViolation() {
        super(type, title, detail, instance);
    }
}
