package dev.fitko.fitconnect.api.domain.model.event.problems.data;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class DataXmlSyntaxViolation extends Problem {

    private static final String type = SCHEMA_URL + "syntax-violation";
    private static final String title = "Syntax-Fehler";
    private static final String detail = "Der Fachdatensatz ist kein valides XML.";
    private static final String instance = "data";

    public DataXmlSyntaxViolation() {
        super(type, title, detail, instance);
    }
}
