package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class IncorrectMetadataAuthenticationTag extends Problem {

    private static final String type = SCHEMA_URL + "incorrect-authentication-tag";
    private static final String title = "Authentication-Tag ungültig";
    private static final String detail = "Das Authentication-Tag des Metadatensatzes ist ungültig.";
    private static final String instance = "metadata";

    public IncorrectMetadataAuthenticationTag() {
        super(type, title, detail, instance);
    }
}
