package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class MetadataEncryptionIssue extends Problem {

    private static final String type = SCHEMA_URL + "encryption-issue";
    private static final String title = "Entschlüsselungs-Fehler";
    private static final String detail = "Die Entschlüsselung des Metadatensatzes ist fehlgeschlagen.";
    private static final String instance = "metadata";

    public MetadataEncryptionIssue() {
        super(type, title, detail, instance);
    }
}
