package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class MetadataEncryptionKeyIssue extends Problem {

    private static final String type = SCHEMA_URL + "encryption-issue";
    private static final String title = "Entschlüsselungs-Fehler";
    private static final String detail = "Der Schlüssel %s ist nicht der zu diesem Zweck vorgesehene Schlüssel.";
    private static final String instance = "metadata";

    public MetadataEncryptionKeyIssue(final String keyId) {
        super(type, title, format(detail, keyId), instance);
    }
}
