package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class MetadataJsonSyntaxViolation extends Problem {

    private static final String type = SCHEMA_URL + "syntax-violation";
    private static final String title = "Syntax-Fehler";
    private static final String detail = "Der Metadatensatz ist kein valides JSON.";
    private static final String instance = "metadata";

    public MetadataJsonSyntaxViolation() {
        super(type, title, detail, instance);
    }
}
