package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class ServiceMismatch extends Problem {

    private static final String type = SCHEMA_URL + "service-mismatch";
    private static final String title = "Verwaltungsleistung stimmt nicht überein";
    private static final String detail = "Die Verwaltungsleistung in Submission und Metadatensatz stimmen nicht überein.";
    private static final String instance = "metadata";

    public ServiceMismatch() {
        super(type, title, detail, instance);
    }
}
