package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class UnsupportedDataSchema extends Problem {

    private static final String type = SCHEMA_URL + "unsupported-schema";
    private static final String title = "Fachdatenschema nicht unterstützt";
    private static final String detail = "Das angegebene Fachdatenschema wird nicht unterstützt.";
    private static final String instance = "metadata";

    public UnsupportedDataSchema() {
        super(type, title, detail, instance);
    }
}
