package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class UnsupportedReplyChannel extends Problem {

    private static final String type = SCHEMA_URL + "unsupported-reply-channel";
    private static final String title = "Rückkanal nicht unterstützt";
    private static final String detail = "Der gewählte Rückkanal wird nicht unterstützt.";
    private static final String instance = "metadata";

    public UnsupportedReplyChannel() {
        super(type, title, detail, instance);
    }
}
