package dev.fitko.fitconnect.api.domain.model.event.problems.other;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class TechnicalError extends Problem {

    private static final String type = SCHEMA_URL + "technical-error";
    private static final String title = "Technischer Fehler";
    private static final String detail = "Bei der Verarbeitung im empfangenden System trat ein technischer Fehler auf.";
    private static final String instance = "other";

    public TechnicalError() {
        super(type, title, detail, instance);
    }
}
