package dev.fitko.fitconnect.api.domain.model.event.problems.submission;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class MissingAuthenticationTags extends Problem {
    private static final String type = SCHEMA_URL + "missing-authentication-tags";
    private static final String title = "Fehlende Authentication-Tags";
    private static final String detail = "Das Event 'submit-submission' enthält keine Authentication-Tags.";
    private static final String instance = "submission";

    public MissingAuthenticationTags(final String attachmentId){
        super(type, title, format(detail, attachmentId), format(instance, attachmentId));
    }
}
