package dev.fitko.fitconnect.api.domain.model.metadata;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Signature {

    @JsonProperty("signatureFormat")
    private SignatureFormat signatureFormat;

    @JsonProperty("eidasAdesProfile")
    private EidasAdesProfile eidasAdesProfile;

    @JsonProperty("detachedSignature")
    private Boolean detachedSignature;

    @JsonProperty("content")
    private String content;
}

