package dev.fitko.fitconnect.api.domain.model.submission;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;
import java.util.UUID;

@Data
@Builder
public class CreateSubmission {

    @JsonProperty("destinationId")
    private UUID destinationId;

    @JsonProperty("caseId")
    private UUID caseId;

    @JsonProperty("announcedAttachments")
    private List<UUID> announcedAttachments;

    @JsonProperty("serviceType")
    private ServiceType serviceType;

    @JsonProperty("callback")
    private Callback callback;
}
