package dev.fitko.fitconnect.client.sender.steps;

public interface DataStep {

    /**
     * JSON data as string.
     *
     * @param data json string
     * @return next step to submit the data
     */
    DestinationStep withJsonData(String data);

    /**
     * XML data as string.
     *
     * @param data xml string
     * @return next step to submit the data
     */
    DestinationStep withXmlData(String data);
}
