package dev.fitko.fitconnect.client.sender.steps;

public interface EncryptedDataStep {

    /**
     * Data as encrypted JWE string.
     *
     * @param encryptedData encrypted data as string
     * @return next step to add encrypted metadata
     */
    EncryptedMetadataStep withEncryptedData(String encryptedData);
}
