package dev.fitko.fitconnect.client.sender.steps;

public interface EncryptedMetadataStep {

    /**
     * JSON data as encrypted JWE string.
     *
     * @param encryptedMetadata encrypted JWE string of the metadata
     * @return next step to add a destination
     */
    EncryptedDestinationStep withEncryptedMetadata(String encryptedMetadata);
}
