package dev.fitko.fitconnect.api.domain.model.event.problems.attachment;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

import static java.lang.String.format;

public class AttachmentEncryptionKeyIssue extends Problem {

    private static final String type = SCHEMA_URL + "encryption-issue";
    private static final String title = "Entschlüsselungs-Fehler";
    private static final String detail = "Der Schlüssel %s ist nicht der zu diesem Zweck vorgesehene Schlüssel.";
    private static final String instance = "attachment:%s";

    public AttachmentEncryptionKeyIssue(final String keyId) {
        super(type, title, format(detail, keyId), format(instance, keyId));
    }
}
