package dev.fitko.fitconnect.api.domain.model.event.problems.data;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class IncorrectDataAuthenticationTag extends Problem {

    private static final String type = SCHEMA_URL + "incorrect-authentication-tag";
    private static final String title = "Authentication-Tag ungültig";
    private static final String detail = "Das Authentication-Tag des Fachdatensatzes ist ungültig.";
    private static final String instance = "data";

    public IncorrectDataAuthenticationTag() {
        super(type, title, detail, instance);
    }
}
