package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class AttachmentsMismatch extends Problem {

    private static final String type = SCHEMA_URL + "attachments-mismatch";
    private static final String title = "Fehlerhafte Anlagen-Liste";
    private static final String detail = "Die Liste der Anlagen in Submission und Metadatensatz stimmt nicht überein.";
    private static final String instance = "metadata";

    public AttachmentsMismatch() {
        super(type, title, detail, instance);
    }
}
