package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class MetadataSchemaViolation extends Problem {

    private static final String type = SCHEMA_URL + "schema-violation";
    private static final String title = "Schema-Fehler";
    private static final String detail = "Der Metadatensatz ist nicht schema-valide.";
    private static final String instance = "metadata";

    public MetadataSchemaViolation() {
        super(type, title, detail, instance);
    }
}
