package dev.fitko.fitconnect.api.domain.model.event.problems.metadata;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class MissingSchemaReference extends Problem {

    private static final String type = SCHEMA_URL + "missing-schema";
    private static final String title = "Schema-Referenz fehlt";
    private static final String detail = "Die Schema-Referenz fehlt im Metadatensatz.";
    private static final String instance = "metadata";

    public MissingSchemaReference() {
        super(type, title, detail, instance);
    }
}
