package dev.fitko.fitconnect.api.domain.model.metadata;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Metadata {

    @JsonProperty("$schema")
    private String schema;

    @JsonProperty("contentStructure")
    private ContentStructure contentStructure;

    @JsonProperty("publicServiceType")
    private PublicServiceType publicServiceType;

    @JsonProperty("authenticationInformation")
    private List<AuthenticationInformation> authenticationInformation;

    @JsonProperty("additionalReferenceInfo")
    private AdditionalReferenceInfo additionalReferenceInfo;
}
