package dev.fitko.fitconnect.client.sender.steps;

import java.util.UUID;

public interface DestinationStep {

    /**
     * Configures the client for the given destination and loads the public key
     *
     * @param destinationId unique identifier of the clients destination
     * @return the upload step for attachments
     */
    ServiceTypeStep withDestination(UUID destinationId);
}
